package keret;

import javax.swing.JApplet;
import javax.swing.SwingUtilities;



public class JatekApplet extends JApplet {
	
	/**
	 * Szakdolgozat 1.0 verzió.
	 */
	private static final long serialVersionUID = 1L;
	
	@Override	
    public void init() {
        try {
            SwingUtilities.invokeAndWait(new Runnable() {
                public void run() {
                    createGUI();
                }
            });
            
        } catch (Exception e) { 
            System.err.println("Nem sikerült a felületet létrehozni.");
        }
    }

    private void createGUI() {
        JatekGUI newContentPane = new JatekGUI(getCodeBase(),getParameter("propName"),getParameter("phpName"));
        newContentPane.setOpaque(true);
        setContentPane(newContentPane);   
    }    

}
